@font-face {
    font-family: 'HelveticaNeueCyr Bold';
    src: url('../../fonts/HelveticaBold.ttf') format('truetype'),
         url('../../fonts/HelveticaBold.eot') format('embedded-opentype'),
         url('../../fonts/HelveticaBold.woff') format('woff');
}

@font-face {
    font-family: 'HelveticaNeueCyr Light';
    src: url('../../fonts/HelveticaLight.ttf') format('truetype'),
         url('../../fonts/HelveticaLight.eot') format('embedded-opentype'),
         url('../../fonts/HelveticaLight.woff') format('woff');
}

html{
    font-size: 10px;
}

body{
    margin: 0;
    background-color: white;
}

/*----------------preloader-----------------------*/
.preloader{
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    background: #fff;
    z-index: 1001;
    width: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.preloader__image{
    height: 25%;
    width: 25%;
    object-fit: contain;
}
.loaded_hiding{
     transition: opacity 0.5s 1.5s;
     opacity: 0;
}
.loaded{
    display: none;
}
/*---------------end of preloader------------------*/

/*--------styles for general frame container-----*/
.container {
    box-sizing: border-box;
    margin: auto;
    max-width: 1440px;
    min-width: 280px;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    height: 100%;
    overflow: hidden;
    
}
/*-------- end general container-----*/

/*---------general style for text----*/
.text_color{
    color: #008080;
}
.text_transform{
    text-transform: uppercase;
}
/*------end general style for text----*/

/*----------header-----------*/
.header {
    flex: 0 0 200px;
    box-sizing: border-box;
    padding: 0 2% 0 7%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

.logo {
    width: auto;
    position: relative;
    z-index: 103;
}
.logo__link {
    display: inline-block;
    width: 100%;
    height: 100%;
    text-decoration: none;
}
.logo__img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.menu__wrap{
    display: flex;
    height: 40px;
}
.menu__icon-burger{
    display: none;
}
.menu{
    width: 100%;
}
.menu__list{
    margin: 0;
    padding: 0;
    text-align: center;
    text-decoration: none;
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-end;
}
.menu__item{
    display: inline-block;
    width: 150px;
    height: 40px;
}
.menu__link{
    display: inline-block;
    text-decoration: none;
    width: 100%;
    height: 100%;
}
.menu__text{
    font-family: 'HelveticaNeueCyr Bold';
    font-weight: 500;
    font-size: 2rem;
    line-height: 2;
    text-align: center;
    color: rgba(60, 60, 59, 0.75);
}
.menu__text:hover{
    font-weight: 700;
    color: #008080;
    text-decoration: underline;
}
.language__list{
    cursor: pointer;
    margin: 0;
    padding: 1px 2px;
    width: 30px;
    height: 30px;
    text-align: center;
    border: 3px solid rgba(60, 60, 59, 0.75);
    border-radius: 10px;
}
.language__list_open{
    height: 60px;
}
.language__item{
    list-style-type: none;
}
.language__link{
    text-decoration: none;
    width: 100%;
    height: 100%;
}
.language_display-none{
    display: none;
}
.language__text{
    font-family: 'HelveticaNeueCyr Bold';
    font-weight: 500;
    font-size: 2rem;
    line-height: 1.5;
    text-align: center;
    color: rgba(60, 60, 59, 0.75);
}
.language__text:hover{
    font-weight: 700;
    color: #008080;
    text-decoration: underline;
}
.language__list:hover{
    border: 3px solid #008080;
}

/*---------end header------------*/
/*---------begin main section-------*/
.main {
    flex: 1 0 100%;
    background-color: white;
}

.slogan-block{
    box-sizing: border-box;
    width: 105%;
    max-height: 680px;
    border-bottom: 3px solid #008080;
    transform: rotate(1.75deg);
    padding: 6% 18% 19% 13%;
    position: relative;
}
.slogan-block::after{
    content: "";
    border-top: 137px solid #008080;
    border-left: 235px solid transparent;
    border-right: 50px solid transparent;
    position: absolute;
    bottom: -137px;
    right: -72px;
} 
.slogan-block__wrap{
    margin: auto;
    width: auto;
    transform: rotate(-1.75deg);
}
.slogan-block__image{
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.about-block{
    padding: 3% 8% 5% 8%;
    border-bottom: 3px solid #008080;
    transform: rotate(-1.4deg);
    min-height: 213px;
    height: auto;
    position: relative;
}
.about-block::before{
    content: "";
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 137px 178px 0px 60px;
    border-color: #008080 transparent transparent transparent;
    position: absolute;
    bottom: -137px;
    left: -100px;
}
.about-block__wrap{
    transform: rotate(1.4deg);
}
.about-block__title{
    font-family: 'HelveticaNeueCyr Bold';
    font-size: 4.2rem;
    font-weight: 700;
    line-height: 0.7;
}
.about-block__description{
    font-family: 'HelveticaNeueCyr Light';
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.2;
}

.services-block{
    box-sizing: border-box;
    width: 100%;
    padding: 3% 8%;
    border-bottom: 3px solid #008080;
    transform: rotate(2.4deg);
    min-height: 2430px;
    height: auto;
    position: relative;
}
.services-block::after{
    content: "";
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 0 190px 300px;
    border-color: transparent transparent #008080 transparent;
    position: absolute;
    bottom: -3px;
    right: -100px;
}
.services-block__wrap{
    transform: rotate(-2.4deg);
}
.services-block__header{
    font-family: 'HelveticaNeueCyr Bold';
    font-size: 4.2rem;
    font-weight: 700;
    line-height: 1.3;
}
.service-consult__title{
    font-family: 'HelveticaNeueCyr Bold';
    font-size: 3.5rem;
    font-weight: 900;
    line-height: 1;
    margin-bottom: 2rem;
}
.service-consult__description{
    font-family: 'HelveticaNeueCyr Light';
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.2;
}
.services-block__service{
    margin: 3% 0 5% 0;
}
.features-block{
    display: flex;
    justify-content: flex-start;
    gap: 2%;
}
.feature{
    margin: 2%;
    min-height: 150px;
    width: 30%;
}
.feature__image-wrap{
    margin: auto;
    width: auto;
}
.feature__image-wrap_display-none{
    display: none;
}
.feature__image-ico{
    display: block;
    margin: auto;
    object-fit: cover;
    width: 100%;
    height: 120px;
    max-width: fit-content;
}
.feature__image{
    display: block;
    margin: auto;
    object-fit: cover;
    width: 100%;
    height: 100%;
    max-width: fit-content;
}
.feature__image-text{
    text-align: center;
    font-family: 'HelveticaNeueCyr Bold';
    font-size: 1.6rem;
    font-weight: 700;
    line-height: 1.6;
}
.feature__list{
    padding: 0;
}
.feature__ico-triangle{
    background-image: url("../../images/mini-polygon.svg");
    background-position: 0 4px;
    background-repeat: no-repeat;
    list-style-type: none;
    padding-left: 2rem;
    padding-bottom: 0.2rem;
}
.feature__description{
    font-family: 'HelveticaNeueCyr Light';
    font-size: 1.6rem;
    font-weight: 300;
    line-height: 1.2;
}
.service-analyze{
    display: flex;
}
.service-analyze__text{
    max-width: 30%;
    align-items: center;
}
.service-analyze__title{
    font-family: 'HelveticaNeueCyr Bold';
    font-size: 3.5rem;
    font-weight: 900;
    margin-bottom: 2rem;
    line-height: 1;
}
.service-analyze__description{
    font-family: 'HelveticaNeueCyr Light';
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.2;
    margin-top: 0;
}
.service-engineer__title{
    font-family: 'HelveticaNeueCyr Bold';
    font-size: 3.5rem;
    font-weight: 900;
    line-height: 1;
    margin-bottom: 2rem;
}
.service-engineer__description{
    font-family: 'HelveticaNeueCyr Light';
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.2;
}
.service-optimize__title{
    font-family: 'HelveticaNeueCyr Bold';
    font-size: 3.5rem;
    font-weight: 900;
    line-height: 1;
    margin-bottom: 2rem;
}
.service-optimize__description{
    font-family: 'HelveticaNeueCyr Light';
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.2;
}
.technologies-block{
    box-sizing: border-box;
    padding: 3% 8%;
    border-bottom: 3px solid #008080;
    min-height: 500px;
    height: auto;
    position: relative;
    display: flex;
}
.technologies-block::before{
    content: "";
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 135px 200px 0 10px;
    border-color: #008080 transparent transparent transparent;
    position: absolute;
    bottom: -135px;
    left: -100px;
}
.technologies-block__text{
    max-width: 35%;
}
.technologies-block__title{
    font-family: 'HelveticaNeueCyr Bold';
    font-size: 4.2rem;
    font-weight: 700;
    line-height: 1;
}
.technologies-block__list{
    padding: 0;
}
.technologies-block__item{
    font-family: 'HelveticaNeueCyr Light';
    font-size: 1.6rem;
    font-weight: 300;
    line-height: 1.2;
    padding-left: 4rem;
    padding-bottom: 3.6rem;
}

.technologies-block__ico-triangle{
    background-image: url("../../images/polygon.svg");
    background-position: 0 0px;
    background-repeat: no-repeat;
    display: inline-block;
}
/*----------end main section----------*/
/*-----------begin footer-------------*/
.footer {
    flex: 0 0 auto;
}
.contacts-block{
    padding: 0 8%;
}
.contacts-block__title{
    font-family: 'HelveticaNeueCyr Bold';
    font-size: 4.2rem;
    font-weight: 700;
    line-height: 1;
}
.links-block{
    min-height: 94px;
    display: flex;
}
.links-block__link-text{
    font-family: 'HelveticaNeueCyr Light';
    font-size: 2rem;
    font-weight: 300;
    line-height: 1;
    text-decoration: none;
    color: #000000;
}
.link-linkedin{
    display: inline-block;
    min-width: 250px;
}
.link-linkedin::before{
    content: "";
    display: inline-block;
    vertical-align: middle;
    background: url(../../images/logo-linkedin.svg) center no-repeat;
    width: 50px;
    height: 40px;
}
.link-mail{
    display: inline-block;
    min-width: 250px;
}
.link-mail::before{
    content: "";
    display: inline-block;
    vertical-align: middle;
    background: url(../../images/logo-mail.svg) center no-repeat;
    width: 50px;
    height: 40px;
}
.link-instagram{
    display: inline-block;
    min-width: 250px;
}
.link-instagram::before{
    content: "";
    display: inline-block;
    vertical-align: middle;
    background: url(../../images/logo-instagram.svg) center no-repeat;
    width: 50px;
    height: 40px;
}
.copyright{
    min-height: 70px;
    background-color: #008080;
    display: flex;
    justify-content: center;
    align-items: center;
}
.copyright__text{
    text-align: center;
    font-family: 'HelveticaNeueCyr Light';
    font-size: 1.4rem;
    font-weight: 300;
    line-height: 1;
    color: #FFFFFF;
}
/*----------end footer----------*/

/*-----begin media-querry for max-width 768px*/
@media (max-width: 768px){
    .body__lock {
        overflow: hidden;
    }
    .preloader__image{
        width: 40%;
        height: 40%;
    }
    .header{
        flex: 0 0 100px;
    }
    .logo__link {
        width: 70%;
        height: 70%;
    }
    .menu__container{
        order: 1;
    }
    .language__container{
        order: 0;
        margin-right: 15px;
        margin-top: -10px;
    }
    .menu__icon-burger{
        z-index: 105;
        display: block;
        position: relative;
        width: 30px;
        height: 18px;
        cursor: pointer;
        padding-right: 5%;
    }
    .icon-burger__middle-line{
        top: 50%;
        transform: scale(1) translate(0px, -50%);
        left: 0;
        position: absolute;
        height: 10%;
        width: 100%;
        transition: all 0.3s ease 0s;
        background-color: #008080;
    }
    .menu__icon-burger::before{
        content: "";
        top: 0;
        left: 0;
        position: absolute;
        height: 10%;
        width: 100%;
        transition: all 0.3s ease 0s;
        background-color: #008080;
    }
    .menu__icon-burger::after{
        content: "";
        left: 0;
        bottom: 0;
        position: absolute;
        height: 10%;
        width: 100%;
        transition: all 0.3s ease 0s;
        background-color: #008080;
    }
    .menu{
        box-sizing: border-box;
        position: fixed;
        top: 0;
        right: -150%;
        width: 100%;
        height: 100%;
        background-color: rgba(254, 254, 254, 0.9);
        transition: right 0.3s ease 0s;
        z-index: 101;
        padding: 100px 3% 3% 3%;
        overflow: auto;
    }
    .menu.menu_active::before{
        content: "";
        background-color: rgb(254, 254, 254);
        position: fixed;
        top: 0;
        left: 0;
        height: 100px;
        width: 100%;
        z-index: 103;
    }
    .menu_active{
        right: 0;
    }
    .menu_active .icon-burger__middle-line{
        transform: scale(0) translate(0px, -50%);
    }
    .menu__icon-burger.menu_active::before{
        top: 50%;
        transform: rotate(-45deg) translate(0px, -50%);
    }
    .menu__icon-burger.menu_active::after{
        bottom: 50%;
        transform: rotate(45deg) translate(0px, 50%);
    }
    .menu__list{
        flex-direction: column;
        align-items: flex-end;
        width: 100%;
    }
    .menu__item{
        padding: 3% 5%;
    }
    .menu__link{
        font-size: 2.4rem;
        text-align: right;
    }
    .slogan-block::after{
        border-left: 200px solid transparent;
        border-right: 40px solid transparent;
    }
    .about-block::before{
        border-width: 137px 170px 0px 35px;
    }
    .services-block::after{
        border-width: 0 0 100px 170px;
    }
    .technologies-block::before{
        border-width: 135px 150px 0 35px;
    }
    .features-block,
    .service-analyze{
        flex-direction: column;
    }
    .feature{
        width: 100%;
    }
    .service-analyze__text,
    .technologies-block__text{
        max-width: 100%;
    }
    .links-block{
        flex-direction: column;
        min-height: 160px;
    }
    .language__container{
        margin-top: -5px;
    }
    .language__list {
        width: 25px;
        height: 25px;
        border: 2px solid rgba(60, 60, 59, 0.75);
        border-radius: 5px;
    }
    .language__text {
        font-size: 1.6rem;
        line-height: 1.7;
    }
}
/*-----end of media-querry for max-width 768px*/

/*-----begin media-querry for max-width 480px*/
@media (max-width: 480px){
    .slogan-block::after{
        border-left: 180px solid transparent;
        border-right: 20px solid transparent;
    }
    .about-block::before{
        border-width: 137px 140px 0px 20px;
    }
    .services-block::after{
        border-width: 0 0 70px 140px;
    }
    .technologies-block::before{
        border-width: 135px 140px 0 20px;
    }
    .about-block__title,
    .services-block__header,
    .technologies-block__title,
    .contacts-block__title{
        font-size: 3.2rem;
    }
    .about-block__description,
    .about-block__slogan,
    .links-block__link-text{
        font-size: 1.6rem;
    }
    .service-consult__title,
    .service-analyze__title,
    .service-engineer__title,
    .service-optimize__title{
        font-size: 3em;
    }
    .feature{
        width: 100%;
    }
    .language__container{
        margin-top: -4px;
    }
    .language__list {
        width: 20px;
        height: 20px;
        border: 2px solid rgba(60, 60, 59, 0.75);
        border-radius: 5px;
    }
    .language__text {
        font-size: 1.2rem;
        line-height: 1.8;
    }
    .language__list_open {
        height: 42px;
    }
    .language__list:hover {
        border: 2px solid #008080;
    }
    .language__list_open {
        height: 52px;
    }
}
/*-----end of media-querry for max-width 480px*/